
Java Client - Story #4654

Independent review of d1_common_java

2014-03-31 15:55 - Dave Vieglais

Status: Closed Start date: 2014-03-31

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

A casual independent review of d1_common_jva has revealed a number of suggested changes. These are included as separate

tasks under this story.

Subtasks:

Task # 4655: Pom appears to bring in plugins as project dependencies (maven-jar-plugin,... New

Task # 4656: Pom indentation makes it unnecessarily hard to read Closed

Task # 4657: Pom versions are mixed between properties and inline (e.g. <version>1.8.4<... New

Task # 4658: Pom has unnecessary and confusing comment: <!-- take out the placeholder --> Closed

Task # 4659: MonitorInfo.java has "import java.sql.Date" Closed

Task # 4660: src/main/java has XML files New

Task # 4661: Deprecated methods give no indication of the (Java) version in which they ... New

Task # 4662: testMultipartTransmission does not respect Java naming conventions Closed

Task # 4663: src/main/resources appears to have config for log4j through commons-loggin... New

Task # 4664: Related to above: Test classes bring in org.apache.log4j.Logger but it is ... New

Task # 4665: Tests contain redundant code. New

Task # 4666: - All types have the same serialVersionUID (10000000) New

Task # 4667: - (Important!) No types implement equals or hashcode New

Task # 4668: - No types implement toString New

Task # 4669: - Regarding the style: A good addition to the types would be some builders... New

Task # 4670: - Regarding the style: The types are fully mutable with no field validatio... New

Task # 4671: suggest updating the following versions: In Progress

Task # 4672: mvn dependencies:analyse shows transitive dependencies: In Progress

Task # 4673: Pom has warnings: New

History

#1 - 2014-07-30 03:29 - Robert Waltz

- Milestone changed from CCI-1.3 to None

#2 - 2014-10-01 20:43 - Dave Vieglais

- Target version set to Release Backlog

- Due date set to 2014-10-01

- Start date set to 2014-10-01

#3 - 2015-02-11 20:08 - Rob Nahf

- Target version changed from Release Backlog to CLJ-2.0.0

- Project changed from Infrastructure to Java Client

- Category changed from d1_common_java to d1_common_java

#4 - 2016-08-19 21:08 - Rob Nahf

- % Done changed from 0 to 30
- Status changed from New to In Progress

#5 - 2018-01-17 19:59 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
